<!-- Copyright 2020 Karlsruhe Institute of Technology
   -
   - Licensed under the Apache License, Version 2.0 (the "License");
   - you may not use this file except in compliance with the License.
   - You may obtain a copy of the License at
   -
   -     http://www.apache.org/licenses/LICENSE-2.0
   -
   - Unless required by applicable law or agreed to in writing, software
   - distributed under the License is distributed on an "AS IS" BASIS,
   - WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   - See the License for the specific language governing permissions and
   - limitations under the License. -->

<template>
  <span data-toggle="tooltip" ref="tooltip">
    <slot></slot>
  </span>
</template>

<script>
export default {
  props: {
    title: String,
    container: {
      type: String,
      default: 'body',
    },
    placement: {
      type: String,
      default: 'bottom',
    },
  },
  mounted() {
    $(this.$refs.tooltip).tooltip({
      container: this.container,
      placement: this.placement,
      title: this.title,
    });
  },
  beforeDestroy() {
    $(this.$refs.tooltip).tooltip('dispose');
  },
};
</script>
